Subject: Re: bug#6493:

From: Stephen Berman <[email-masked]>
Date: Fri, 23 Jul 2010 19:02:45 +0200

On Fri, 23 Jul 2010 11:45:13 -0400 Chong Yidong <[email-masked]> wrote:

> Juanma Barranquero <[email-masked]> writes:
>
>> On Fri, Jul 23, 2010 at 11:10, Deniz Dogan <[email-masked]> wrote:
>>
>>> Attached is a new patch.
>>
>> Thanks.
>>
>> Three comments:
>
> Aside from these points (with which I agree), the addition of "as a
> nonnegative integer" is unnecessary.  Point and mark are always
> non-negative.  Also, it is important to keep the word "position",
> because mark could otherwise refer to the mark marker.  I prefer:
>
>   "Return the position of point or mark, whichever is smaller."

On Fri, 23 Jul 2010 09:16:48 -0700 "Drew Adams" <[email-masked]> wrote:

> Point _is_ a position.  It is the position of the cursor.  So that text speaks
> about the position of the position of the cursor, which is incorrect.
>
> But you are correct that we do speak of "setting the mark at a position".

How about this:
"Return the smaller of the integer value of point or the mark."
(`value' is used in the doc strings of 'point' and `mark'.)

Steve Berman